image: php:7.2

stages:
  - build
  - test
  - deploy

cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
    - vendor/

before_script:
  - bash docker_install.sh 

test:unit:
  stage: test
  script:
  - echo "Start test unit"
  - bin/phpunit tests/Unit
  #- phpunit tests/Unit --coverage-text

test:integration:
  stage: test
  script:
  - echo "Start test integration"
  - bin/phpunit tests/Integration

test:functionnal:
  stage: test
  script:
  - echo "Start test functionnal"
  - vendor/bin/behat

build:
  stage: build
  script:
  - echo "Start build"

deploy:
  stage: deploy
  script:
    - bash deploy.sh
  only: 
    - master
  environment:
    name: production
    url: https://ci-20-4.herokuapp.com/

